apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: medical-institutions
  title: Medical Institutions module
  description: Golemio Medical Institutions module
  tags:
    - module
    - dataplatform
    - typescript
  annotations:
    backstage.io/source-location: url:https://gitlab.com/operator-ict/golemio/code/modules/medical-institutions
    backstage.io/techdocs-ref: url:https://gitlab.com/operator-ict/golemio/code/modules/medical-institutions/-/tree/master?ref_type=heads
  links:
    - url: https://www.npmjs.com/package/@golemio/medical-institutions
      title: NPM
spec:
  type: module
  lifecycle: production
  owner: team-backend
  system: golemio-data-platform
  dependsOn:
    - 'component:core'
    - 'component:city-districts'
  providesApis:
    - "medical-institutions-api"

---

apiVersion: backstage.io/v1alpha1
kind: API
metadata:
  name: medical-institutions-api
  description: Golemio Medical Institutions module api
spec:
  type: openapi
  lifecycle: production
  owner: team-backend
  definition:
    $text: https://gitlab.com/operator-ict/golemio/code/modules/medical-institutions/-/blob/master/docs/openapi.yaml
